{% extends 'base.html' %}
{% load markdownify %}

{% block content %}
    <main>
        <div>
            <h1>{{ project.name }}</h1>
            {{ project.description|markdownify }}
            <h2>Tasks</h2>
            <a href="{% url 'create_task' %}">Create a new task</a>
            {% if project.tasks.all %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Assignee</th>
                            <th>Start date</th>
                            <th>Due date</th>
                            <th>Is completed</th>
                        </tr>
                    </thead>
                    {% for task in project.tasks.all %}
                        <tbody>
                            <tr>
                                <td>{{ task.name }}</td>
                                <td>{{ task.assignee }}</td>
                                <td>{{ task.start_date }}</td>
                                <td>{{ task.due_date }}</td>
                                {% if task.is_completed == True %}
                                    <td>yes</td>
                                {% else %}
                                    <td>no</td>
                                {% endif %}
                            </tr>
                        </tbody>
                    {% endfor %}
                </table>
            {% else %}
                <p>This project has no tasks</p>
            {% endif %}
        </div>
    </main>
{% endblock content %}